Bug 244013 - sysutils/duplicity-devel: add Backblaze B2 support option
Summary: sysutils/duplicity-devel: add Backblaze B2 support option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-10 00:39 UTC by Henry
Modified: 2020-02-13 23:03 UTC (History)
0 users

See Also:
dbaio: maintainer-feedback+


Attachments
patch (1.58 KB, patch)
2020-02-10 00:39 UTC, Henry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henry 2020-02-10 00:39:43 UTC
Created attachment 211526 [details]
patch

Attached patch adds B2 option (enabled by default same as the other backends).

Tested and working with Python 3.7 on FreeBSD 12.1-RELEASE.
Comment 1 Danilo G. Baio freebsd_committer 2020-02-12 00:47:39 UTC
Thanks Henry.

I'll test and commit in a few days.
Comment 2 commit-hook freebsd_committer 2020-02-13 23:03:07 UTC
A commit references this bug:

Author: dbaio
Date: Thu Feb 13 23:02:52 UTC 2020
New revision: 526073
URL: https://svnweb.freebsd.org/changeset/ports/526073

Log:
  sysutils/duplicity-devel: Add Backblaze B2 support

  PR:		244013
  Submitted by:	PopularMoment@protonmail.com

Changes:
  head/sysutils/duplicity-devel/Makefile
Comment 3 Danilo G. Baio freebsd_committer 2020-02-13 23:03:21 UTC
Committed, thanks!